header, footer {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    padding: 30px 80px;
    background-color: #f0f0f0;
}
header {
    position: fixed;
    z-index: 999;
}
header nav,
footer nav {
    display: flex;
    align-items: center;
}
header nav ul,
footer nav ul {
    display: flex;
    gap: 40px;
}
footer {
    align-items: start;
}
footer nav ul {
    flex-direction: column;
    gap: 4px;
}
#contact {
    display: flex;
    flex-direction: column;
    gap: 4px;
}
#contact p, #contact a {
    color: #999999;
    text-transform: uppercase;
    font-weight: 300;
    font-family: 'Montserrat';
    width: fit-content;
}
#contact i {
    color: #999999;
}
.contact-messagers {
    display: flex;
    justify-content: center;
    padding: 10px;
    color: #999999;
    gap: 8px
}
.contact-messagers i {
    color: #999999;
    font-size: 24px;
}
.contact-messagers i:hover {
    color: var(--blue);
}

#contact a:hover,
header nav ul li:hover a,
footer nav ul li:hover a {
    color: var(--blue);
}
#contact a:after,
header nav ul li:after,
footer nav ul li:after {
    content: "";
    width: 0%;
    display: block;
    height: 2px;
    background-color: var(--blue);
    margin: 0 auto;
}
#contact a:hover:after,
header nav ul li:hover:after,
footer nav ul li:hover:after {
    width: 100%;
    transition: width 0.4s;
}
header nav ul li a,
footer nav ul li a {
    color: #999999;
    text-transform: uppercase;
    font-weight: 300;
    font-family: 'Montserrat';
}
header #title,
footer #title {
    display: flex;
    flex-direction: column;
    justify-content: start;
}
header #title h1,
footer #title h1 {
    font-size: 26px;
    font-family: 'Montserrat';
    font-weight: 500;
    color: #0033A0;
}
header #title h2,
footer #title h2 {
    font-size: 14px;
    font-family: Montserrat;
    font-weight: 300;
}
#about {
    margin-top: 110px;
    padding: 10px 0;
}
#main {
    height: 100vh;
    position: relative;
    padding-bottom: 30px;
}
.overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    background-color: black;
    opacity: 50%;
}
.lang-btn {
    background: var(--blue);
    padding: 6px 8px;
    border-radius: 5px;
    color: white;
    text-transform: uppercase;
    font-weight: 100;
    font-size: 12px;
    height: fit-content;
}
#main .grid-container {
    display: flex;
    height: 100%;
    overflow: hidden;
}
#main .grid-item.img {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}
#main .grid-item.img img {
    height: 100%;
}
#main .grid-item.desc {
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
}

#main .grid-item.desc h3 {
    font-size: 2.6vw;
    color: var(--blue);
    font-weight: 300;
}
#main .grid-item.desc h4 {
    font-size: 1.2vw;
    font-weight: 300;
    color: #6B6B6B;
    margin-top: 10px;
}
#main .grid-item.desc p {
    font-size: 1.2vw;
    font-weight: 100;
    color: #6B6B6B;
}
#main .grid-item b {
    color: black;
}
#main .grid-item.desc h3, #main .grid-item.desc h4, #main .grid-item.desc p {
    font-family: Montserrat;
}
#products {
    width: 100%;
    padding: 0 80px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.page-title {
    font-size: 2.6vw;
    color: var(--blue);
    text-align: center;
    font-family: Montserrat;
    font-weight: 100;
    margin: 18px 0;
}



.accordion-gallery {
    display: flex;
    width: 100%;
    height: 600px;
    margin: 0;
    padding: 0;
    gap: 20px;
}
.accordion__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    transition: transform 0.3s ease;
}
.accordion__title {
    display: flex;
    align-items: center;
    flex-wrap: nowrap;
    white-space: nowrap;
    position: absolute;
    bottom: 0.5em;
    right: 0.5em;
    writing-mode: vertical-rl;
    color: var(--white);
    font-size: clamp(1em, 3vw - 0.5em, 3em);
    letter-spacing: 0.2em;
    text-transform: uppercase;
    font-family: 'Montserrat';
    font-weight: 100;
    font-size: 36px;
    color: white;
}
.accordion__title::after {
    content: "+";
    margin-top: 0.3em;
}
.accordion__description {
    position: absolute;
    width: 60%;
    left: 1em;
    bottom: 1em;
    color: var(--white);
    transform: translateY(200px);
    opacity: 0;
    transition: all 0.3s ease-out;
    transition-property: opacity, transform;
    color: white;
    padding: 10px;
    display: flex;
    flex-direction: column;
    gap: 4px;
}
.accordion__description ul li {
    font-family: 'Montserrat', Arial;
    list-style: square;
}
.accordion__overlay {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(180deg, rgba(15, 15, 15, 0) 0%, #111111 100%);
    opacity: 1;
    transition: opacity 0.4s ease-out;
}
.accordion__item {
    position: relative;
    flex-grow: 1;
    width: 400px;
    height: 100%;
    background: var(--bg);
    transition: flex-grow 300ms ease;
    overflow: hidden;
    cursor: pointer;
}
.accordion__item:hover {
    flex-grow: 2;
}
.accordion__item:hover .accordion__overlay {
    opacity: 0.5;
}
.accordion__item:hover .accordion__title::after {
    content: none;
}
.accordion__item:hover .accordion__description {
    transform: translateY(0);
    opacity: 1;
}
.accordion__item:hover .accordion__image {
    transform: scale(1.1);
}

.btn {
    border: 1px solid var(--blue);
    width: fit-content;
    padding: 10px 14px;
    border-radius: 4px;
    font-family: 'Montserrat';
    color: var(--blue);
    margin: 16px 0;
    font-size: 14px;
    transition: 0.4s;
    background-color: white;
    cursor: pointer;
}
.btn:not(.white):hover {
    background-color: var(--blue);
    color: white;
    box-shadow: 0 0 20px lightgray;
}
.btn.white {
    border-color: white;
    color: white;
    background-color: transparent;
}
.btn.white:hover {
    background-color: var(--blue);
    border-color: var(--blue);
}
.separator {
    height: 2px;
    background: linear-gradient(to right, rgba(0, 0, 255, 0), var(--blue), rgba(0, 0, 255, 0));
    margin: 20px auto;
    width: 80%;
}



#gallery {
    padding-bottom: 60px;
}
.carousel-gallery {
    text-align: center;
}
.carousel-gallery .scroll-arrow {
    width: 5%;
    display: inline-block;
    position: relative;
    vertical-align: middle;
    cursor: pointer;
    padding: 0;
    margin: 0;
    opacity: 0.5;
    font-size: 34px;
    transition: 0.2s;
}
.carousel-gallery .scroll-arrow i {
    color: var(--blue);
}
.carousel-gallery .scroll-arrow:hover {
    transition: 0.2s;
    opacity: 1;
}
.carousel-gallery ul {
    width: 80%;
    scroll-behavior: smooth;
    display: inline-block;
    position: relative;
    vertical-align: middle;
    text-align: center;
    overflow-x: scroll;
    overflow-y: hidden;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
}
.carousel-gallery ul::-webkit-scrollbar {
    display: none;
}
.carousel-gallery li {
    list-style: none;
    display: inline-block;
    position: relative;
    vertical-align: middle;
    width: 20%;
    margin-left: 1.5%;
    margin-right: 1.5%;
    transition: 0.2s;
}
.carousel-gallery li,.carousel-gallery img, .carousel-gallery video {
    height: 500px;
    width: auto;
}
.carousel-gallery  li:hover {
}
.lang-mob {
    border-radius: 90%;
    overflow: hidden;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    display: none;
}
.lang-mob img {
    height: 40px;
}

@media only screen and (max-width: 900px) {
    header nav ul, footer nav ul {
        gap: 20px;
    }
    header {
        padding: 30px 40px;
    }
    #main {
        height: 60vh;
    }
    #main .grid-item.img img {
        height: 70%;
    }
    .accordion-gallery {
        flex-direction: column;
        height: 2000px;
        width: 100%;
    }
    .accordion__item {
        width: 100%;
    }
    .accordion__item {
        flex-grow: 2;
    }
    .accordion__item .accordion__overlay {
        opacity: 0.5;
    }
    .accordion__item .accordion__title::after {
        content: none;
    }
    .accordion__item .accordion__description {
        transform: translateY(0);
        opacity: 1;
    }
    .accordion__item .accordion__image {
        transform: scale(1.1);
    }
}

@media only screen and (max-width: 720px) {
    header {
        padding: 30px 20px;
    }
    header #title h1, footer #title h1 {
        font-size: 32px;
    }
    header nav, footer nav {
        display: none;
    }
    .lang-btn {
        display: none;
    }
    footer {
        flex-direction: column;
        padding: 20px;
    }
    #main .grid-container {
        flex-direction: column-reverse;
    }
    #main .grid-item.img img {
        width: 100%;
        height: auto;
    }
    #main .grid-item.desc h3 {
        font-size: 26px;
    }
    #main .grid-item.desc h4, #main .grid-item.desc p {
        font-size: 18px;
    }
    .page-title {
        font-size: 28px;
    }
    #products {
        padding: 0 10px;
    }
    .accordion-gallery {
        flex-direction: column;
        height: 2000px;
        width: 100%;
    }
    .accordion__item {
        width: 100%;
    }
    .accordion__item {
        flex-grow: 2;
    }
    .accordion__item .accordion__overlay {
        opacity: 0.5;
    }
    .accordion__item .accordion__title::after {
        content: none;
    }
    .accordion__item .accordion__description {
        transform: translateY(0);
        opacity: 1;
    }
    .accordion__item .accordion__image {
        transform: scale(1.1);
    }
    footer #title {
        width: 100%;
    }
    .contact-messagers {
        margin: 20px;
    }
    .contact-messagers i {
        font-size: 26px;
    }
    #contact {
        margin: 20px auto;
        margin-bottom: 60px;
    }
    #about {
        margin-top: 60px;
    }
    .lang-mob {
        display: flex;
    }
    header {
        position: relative;
    }
    #about {
        margin-top: 0;
    }
    #main {
        height: auto;
    }
}